
From: Paul Mackerras <paulus@samba.org>

This patch is from Hanna Linder.

As pci_find_device is going away using the new for_each_pci_dev macro.

Signed-off-by: Hanna Linder <hannal@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/pmac_pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/pmac_pci.c~ppc64-pmac_pcic-replace-pci_find_device-with-pci_get_device arch/ppc64/kernel/pmac_pci.c
--- 25/arch/ppc64/kernel/pmac_pci.c~ppc64-pmac_pcic-replace-pci_find_device-with-pci_get_device	2004-11-04 21:34:43.706926032 -0800
+++ 25-akpm/arch/ppc64/kernel/pmac_pci.c	2004-11-04 21:34:43.710925424 -0800
@@ -663,7 +663,7 @@ void __init pmac_pcibios_fixup(void)
 {
 	struct pci_dev *dev = NULL;
 
-	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL)
+	for_each_pci_dev(dev)
 		pci_read_irq_line(dev);
 
 	pci_fix_bus_sysdata();
_
